Last Comment Bug 75982 - [BiDi] Turn on the IBMBIDI #ifdef
: [BiDi] Turn on the IBMBIDI #ifdef
Status: VERIFIED FIXED
ask leaf to review 2001-05-07 19:00
: intl
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Mike Kaply [:mkaply]
:
Mentors:
Depends on: 76933 76939
Blocks: 3687 17175 24199 26371 35028 51916 62134 64490 73872 74063
  Show dependency treegraph
 
Reported: 2001-04-13 15:04 PDT by Mike Kaply [:mkaply]
Modified: 2008-07-31 02:34 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
how to turn on IBMBIDI ifdef by default on the Mac (497 bytes, patch)
2001-04-20 16:32 PDT, Erik van der Poel
no flags Details | Diff | Splinter Review
how to turn on IBMBIDI ifdef by default on Linux (741 bytes, patch)
2001-04-20 16:46 PDT, Erik van der Poel
no flags Details | Diff | Splinter Review
how to turn on IBMBIDI ifdef by default on Windows (475 bytes, patch)
2001-04-20 16:53 PDT, Erik van der Poel
no flags Details | Diff | Splinter Review
before turning on IBMBIDI, we need these makefile.win changes (2.02 KB, patch)
2001-04-25 16:21 PDT, Erik van der Poel
no flags Details | Diff | Splinter Review

Description Mike Kaply [:mkaply] 2001-04-13 15:04:36 PDT
This bug is to actually enable IBMBIDI in the build.

I will make all bugs that are fixed by the IBMBIDI code dependent on this bug.
Comment 1 Erik van der Poel 2001-04-20 16:32:11 PDT
Created attachment 31652 [details] [diff] [review]
how to turn on IBMBIDI ifdef by default on the Mac
Comment 2 Erik van der Poel 2001-04-20 16:46:38 PDT
Created attachment 31656 [details] [diff] [review]
how to turn on IBMBIDI ifdef by default on Linux
Comment 3 Erik van der Poel 2001-04-20 16:53:23 PDT
Created attachment 31660 [details] [diff] [review]
how to turn on IBMBIDI ifdef by default on Windows
Comment 4 Erik van der Poel 2001-04-20 16:59:13 PDT
Chris, would you please take a look at the Linux and Windows patches in this
bug report, and let me know if they look OK?

Autoconf will be run automatically to create a new configure, right? (Once I
check in.)

By the way, we're not ready to turn on IBMBIDI by default. I just want to make
sure we have the right patches in here, that's all.
Comment 5 cls 2001-04-20 17:15:31 PDT
The patches look right to me.
Comment 6 Erik van der Poel 2001-04-25 16:21:15 PDT
Created attachment 32213 [details] [diff] [review]
before turning on IBMBIDI, we need these makefile.win changes
Comment 7 Erik van der Poel 2001-04-25 16:24:24 PDT
cls, please review the most recent makefile.win patch. I found that I had to
make these changes in order to turn on the IBMBIDI ifdef by default. In most
cases, I'm just adding an include for config.mak (hopefully in the right place).
But in one case, I'm also changing INCS to LINCS. Are you a Windows makefile
expert? If not, do you know who should review these? Thanks.
Comment 8 cls 2001-04-28 19:04:09 PDT
leaf would be the preferred person to review win32 makefile changes.
Comment 9 Erik van der Poel 2001-04-30 11:31:11 PDT
Hi Leaf, would you please review the 4th patch (makefile.win changes)? Thanks!
Comment 10 Frank Tang 2001-05-07 19:00:55 PDT
ask leaf to review 
Comment 11 Daniel (Leaf) Nunes 2001-05-08 10:47:10 PDT
I'm shocked that these makefile.win files didn't have config.mak included in the
first place, so r=leaf for
http://bugzilla.mozilla.org/showattachment.cgi?attach_id=32213
Comment 13 Frank Tang 2001-05-10 15:52:22 PDT
done. mark this bug fixed
Comment 14 Andreas Becker 2001-06-07 15:46:26 PDT
Changing component to BiDi and adding keyword intl.
Comment 15 Andreas Becker 2001-06-07 17:12:24 PDT
Changing QA contact to default Bidi-Hebrew owner giladehven@hotmail.com.
Comment 16 Mike Kaply [:mkaply] 2001-08-09 08:55:14 PDT
Verified fixed

Note You need to log in before you can comment on or make changes to this bug.